import { CategoryXAxis } from "./CategoryXAxis";
import { ITimeRangeSelectorAxis } from "./ITimeRangeSelectorAxis";
import { TimeAxisLabellingMode } from "./TimeAxisLabellingMode";
import { TimeAxisLabelFormatCollection } from "./TimeAxisLabelFormatCollection";
import { Rect } from "igniteui-react-core";
import { ScalerParams } from "./ScalerParams";
import { CategoryMode } from "./CategoryMode";
import { IList$1, EventArgs, Type } from "igniteui-react-core";
import { IGetItemAtIndex } from "igniteui-react-core";
import { FastItemsSourceEventArgs } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class OrdinalTimeXAxis extends CategoryXAxis implements ITimeRangeSelectorAxis {
    static $t: Type;
    d1(a: number, b: Rect, c: Rect): number;
    d0(a: number, b: ScalerParams, c: CategoryMode): number;
    dz(a: number, b: ScalerParams): number;
    private me;
    gs(a: IList$1<number[]>, b: IList$1<number>, c: number, d: number, e: ScalerParams): void;
    gt(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    d4(a: number, b: Rect, c: Rect): number;
    getUnscaledValue3(a: number, b: Rect, c: Rect, d: CategoryMode): number;
    d2(a: number, b: ScalerParams): number;
    private mf;
    d3(a: number, b: ScalerParams, c: CategoryMode): number;
    gu(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    constructor();
    protected g0(a: any, b: string, c: any, d: any): void;
    private l1;
    actualMinimumValue: Date;
    private l0;
    actualMaximumValue: Date;
    private l7;
    visibleMinimum: Date;
    private l6;
    visibleMaximum: Date;
    private l3;
    mb: Date;
    private l2;
    ma: Date;
    private mt;
    private mu;
    private mh;
    protected hd(a: boolean): void;
    private mg;
    dateTimeMemberPath: string;
    private lw;
    lx: TimeAxisLabellingMode;
    private ly;
    private lz;
    protected hp(a: Rect, b: Rect): void;
    getWindowRectForSelection(a: Date, b: Date): Rect;
    private lu;
    readonly lv: TimeAxisLabelFormatCollection;
    private ms;
    g2(a: string): void;
    e9(a: any): any;
    fm(a: number): string;
    private readonly mr;
    private readonly mo;
    protected k7(): IGetItemAtIndex;
    protected ho(a: Rect, b: Rect): void;
    protected ld(a: number, b: ScalerParams): number;
    protected lc(a: number, b: number, c: boolean, d: ScalerParams): number;
    private mq;
    private mp;
    itemLabelFormat(): string;
    private l5;
    minimumValue: Date;
    private l4;
    maximumValue: Date;
    cp(): boolean;
    visibleRangeChanged: (sender: any, e: EventArgs) => void;
    protected kt(a: FastItemsSourceEventArgs): void;
    readonly isVertical: boolean;
    j$c(a: number, b: ScalerParams): number;
    j$b(a: number, b: ScalerParams): number;
    j$d(a: IList$1<number[]>, b: IList$1<number>, c: number, d: number, e: ScalerParams): void;
    j$e(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    j$f(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    readonly j$a: boolean;
}
